Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration.plugins
Class ConfigureJdks

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.configuration.plugins.AbstractPluginConfigurationAction
                      com.atlassian.bamboo.configuration.plugins.ConfigureJdks

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ConfigureJdks

extends AbstractPluginConfigurationAction

A wwbwork action to view, edit, add and delete the system's JDKS

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ConfigureJdks()`

Method Summary
`String` | `doDelete()` Remove the selected JDK from the system.
`String` | `doSave()` Saves the updated JDK in the list a available system JDKS.
`Collection` | `getJdks()` Provide the UI with the currently available JDKS
`void` | `validate()` Place the user in the page context

Methods inherited from class com.atlassian.bamboo.configuration.plugins.AbstractPluginConfigurationAction
`getHomeDirectory, getNewLabel, getOldLabel, setHomeDirectory, setNewLabel, setOldLabel`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, doDefault, doExecute, execute, getAction, getAdministrationConfiguration, getBamboo, getBaseUrl, setAdministrationConfiguration`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ConfigureJdks

    public ConfigureJdks()

Method Detail

### validate

    public void validate()

  Description copied from class: `AbstractAction`
  Place the user in the page context

  Overrides:
    `validate` in class `AbstractAction`

### doSave

    public String doSave()
                  throws Exception

  Saves the updated JDK in the list a available system JDKS.

  It also places the currently active user in the GUI context, enables the add button, and places the newly updated list of available JDK in th GUI context.

  Returns:
    The webwork success status
  Throws:
    `Exception` - A generic failure

### doDelete

    public String doDelete()
                    throws Exception

  Remove the selected JDK from the system.

  It also places the currently active user in the GUI context, enables the add button, and places the newly updated list of available JDK in th GUI context.

  Returns:
    The webwork success status
  Throws:
    `Exception` - A generic error

### getJdks

    public Collection getJdks()

  Provide the UI with the currently available JDKS

  Returns:
    The collection of `Jdk` objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.